﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Cvicenie6b
{
    public partial class AddForm : Form
    {
        public Book book { get; private set; }

        public AddForm()
        {
            InitializeComponent();
        }

        public AddForm(Book book)
        {
            InitializeComponent();
            titleBox.Text = book.Title;
            authorBox.Text = book.Author;
            pagesBox.Text = book.Pages.ToString();
        }

        private void okButton_Click(object sender, EventArgs e)
        {
            int pages;
            if (Int32.TryParse(pagesBox.Text, out pages))
            {
                book = new Book(titleBox.Text, authorBox.Text, pages);
            }
            else
            {
                MessageBox.Show("Wrong number");
                DialogResult = DialogResult.None;
            }
        }
    }
}
